Skitflow
Generated

Compose

Skitflow API reference for Compose endpoints.

POST
/compose.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.create" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "projectId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

composeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.one?composeId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.update" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.delete

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.delete" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.cleanQueues

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.cleanQueues" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.loadServices

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

composeId*string
type?|

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.loadServices?composeId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.fetchSourceType

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.fetchSourceType" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.randomizeCompose

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.randomizeCompose" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.getConvertedCompose

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

composeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.getConvertedCompose?composeId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.deploy

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.deploy" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.redeploy

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.redeploy" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.stop

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.stop" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.getDefaultCommand

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

composeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.getDefaultCommand?composeId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.refreshToken

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.refreshToken" \  -H "Content-Type: application/json" \  -d '{    "composeId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/compose.deployTemplate

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/compose.deployTemplate" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string",    "id": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.templates

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.templates"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/compose.getTags

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/compose.getTags"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}